Bug 24076 - Remove inline CSS to center patron home library in search results
Summary: Remove inline CSS to center patron home library in search results
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 9811
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-21 01:13 UTC by Owen Leonard
Modified: 2019-11-26 11:48 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 24076: Remove inline CSS to center patron home library in search results (1.67 KB, patch)
2019-11-21 01:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24076: Remove inline CSS to center patron home library in search results (1.73 KB, patch)
2019-11-24 14:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-11-21 01:13:21 UTC
The DataTables configuration for patron search results adds inline CSS to center the contents of column #5, currently patron library. I'm not sure if other data was originally targeted by the #5 column, but I don't think it makes sense logically or visually to center the library in the table.
Comment 1 Owen Leonard 2019-11-21 01:16:14 UTC
Created attachment 95638 [details] [review]
Bug 24076: Remove inline CSS to center patron home library in search results

This patch removes code from the patron search results DataTable
configuration which was designed to add "text-align:center" to the table
cells containing patron home library. I don't think there's a good
reason to centering to that data.

To test, apply the patch and perform a patron search in the staff
client. The "Library" column should contain left-aligned data, matching
almost every other column in the table.
Comment 2 Katrin Fischer 2019-11-24 14:47:42 UTC
Created attachment 95768 [details] [review]
Bug 24076: Remove inline CSS to center patron home library in search results

This patch removes code from the patron search results DataTable
configuration which was designed to add "text-align:center" to the table
cells containing patron home library. I don't think there's a good
reason to centering to that data.

To test, apply the patch and perform a patron search in the staff
client. The "Library" column should contain left-aligned data, matching
almost every other column in the table.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2019-11-26 11:48:21 UTC
Nice work!

Pushed to master for 19.11.00